Query parameters
-
extra information of each page assignment on the list
-
maximum count of the page assignment list
-
skip that many page assignment before beginning to return
-
returns an error for incorrect field grammar when set to true
-
will show all fields for each page assignment
-
will exclude specified fields
PUT
/profiles/{profile_id}/pages/{page_id}/assignments
curl \
--request PUT 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/self/pages/{page_id}/assignments' \
--header "Content-Type: application/json" \
--header "Authorization: Bearer {access_token}" \
--data '[
{
"user_id": 161239,
"can_view": false
},
{
"user_id": 161242,
"can_view": false
}
]'
Request examples
Example1
[
{
"user_id": 161239,
"can_view": false
},
{
"user_id": 161242,
"can_view": false
}
]
{
"can_view": false
}
Response examples (200)
[
{
"user_id": 161239
},
{
"user_id": 161242
}
]
Response examples (404)
{
"error_message": "The requested resource is not found"
}